Bug 91742 - Batch process auto levels
Summary: Batch process auto levels
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Bqm-AutoCorrection (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-20 10:54 UTC by Chag
Modified: 2017-07-01 20:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chag 2004-10-20 10:54:25 UTC
Version:           0.7 beta 1 (using KDE KDE 3.2.3)
Installed from:    Compiled From Sources
Compiler:          gcc version 3.3.2 (Mandrake Linux 10.0 3.3.2-6mdk) 
OS:                Linux

Hi,

When I edit a photo, I can adjust levels, color, saturation, etc. That would be great if we could do the same as a batch process. I have a camera that gives me photo where I have to adjust levels almost always the same way.

Chag
Comment 1 caulier.gilles 2004-10-20 11:09:39 UTC
BatchColorImage kipi-plugin use ImageMagick for all image manipulations.

In Digikam Image Editor, the Auto-levels algo in implementated like an internal library and cannot be used in this kipi-plugin dirrectly.

I want lets BatchProcessImages kipi plugins running with IM and without embedded filter implementations.

ImageMagick do not provide Auto-Levels option. Look this url :

http://www.photo.net/bboard/q-and-a-fetch-msg?msg_id=001OVy

So you can try to use Normalise option available in BatchColorImage plugin.
Certainly in the future, IM will add an auto-levels technic (perhaps it's already available in 6.1.0 release !). In this case i will added a new option with this feature in the plugin.

Regards

Gilles Caulier

Comment 2 caulier.gilles 2004-10-20 11:17:19 UTC
Yes, IM 6.1.1 provide auto-levels :

http://www.imagemagick.org/www/ImageMagick.html#details-level

Questions opened :

-Witch IM release you use ? 
-This option is available on your system ? If true, It's work fine (like in Image Editor) ?
-Since witch IM release this option is available ?

Gilles Caulier
Comment 3 Chag 2004-10-20 11:43:54 UTC
i'm still using version 5.5.7. I think I should be able to install latest version but I'll try 'normalize' before for some tests :)

what about the color balance, saturation, etc. can they be 'batched' ? In fact, that would be great to modify levels when editing an image then apply the same modifications to other images I have choosen. mays be it should not be done in batch process ? but as an option when editing an image ?

Chag
Comment 4 caulier.gilles 2009-02-17 13:55:04 UTC
digiKam 0.11 will have Batch Queue Manager tool. Batch AutoLevels is already implemented.

Look here for more info :

http://www.digikam.org/drupal/node/427

I close this file now.

Gilles Caulier